=== debian/changelog ===
qtractor (0.9.18-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Dec 2020 15:03:00 -0800

qtractor (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18
  * Update patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 30 Oct 2020 19:15:35 +0100
