## qtractor 0.9.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-project(QTRACTOR)
+project(qtractor)
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.18")
+set (VERSION "0.9.19")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -178,13 +178,14 @@
 endif ()
 
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml)
 
 if (CONFIG_XUNIQUE)
-  find_package (Qt5 REQUIRED COMPONENTS Network)
-endif ()
-
-find_package (Qt5LinguistTools)
+  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
+endif ()
+
+find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
@@ -363,4 +364,3 @@
   if (OGG_FOUND)
     include_directories (${OGG_INCLUDE_DIRS})
     link_directories (${OGG_LIBRARY_DIRS})
-    link_libraries (${OGG_LIBRARIES})
