=== debian/changelog ===
qtractor (0.9.19-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 15 Jan 2021 14:05:56 -0500

qtractor (0.9.19-1) unstable; urgency=medium

  * New upstream version 0.9.19
  * Re-enable debugging
  * Bump S-V to 4.5.1, no changes needed
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 22 Dec 2020 20:34:42 +0100
