## qtractor 0.9.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-project(qtractor)
-
-cmake_minimum_required(VERSION 3.1)
-
-set (VERSION "0.9.19")
-
-set (CONFIG_VERSION ${VERSION})
+cmake_minimum_required(VERSION 3.10)
+
+project(qtractor
+  VERSION 0.9.20
+  DESCRIPTION "An Audio/MIDI multi-track sequencer"
+  LANGUAGES C CXX)
+
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -23,6 +24,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "Qtractor")
@@ -273,7 +276,7 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for JACK libraries.
-pkg_check_modules (JACK REQUIRED jack>=0.100.0)
+pkg_check_modules (JACK REQUIRED IMPORTED_TARGET jack>=0.100.0)
 if (JACK_FOUND)
   set (CONFIG_LIBJACK 1)
   include_directories (${JACK_INCLUDE_DIRS})
@@ -300,7 +303,7 @@
 endif ()
 
 # Check for ALSA libraries.
-pkg_check_modules (ALSA REQUIRED alsa)
+pkg_check_modules (ALSA REQUIRED IMPORTED_TARGET alsa)
 if (ALSA_FOUND)
   set (CONFIG_LIBASOUND 1)
   include_directories (${ALSA_INCLUDE_DIRS})
@@ -313,7 +316,7 @@
 endif ()
 
 # Check for SNDFILE libraries.
-pkg_check_modules (SNDFILE REQUIRED sndfile)
+pkg_check_modules (SNDFILE REQUIRED IMPORTED_TARGET sndfile)
 if (SNDFILE_FOUND)
   set (CONFIG_LIBSNDFILE 1)
   include_directories (${SNDFILE_INCLUDE_DIRS})
@@ -327,7 +330,7 @@
 
 # Check for VORBIS libraries.
 if (CONFIG_LIBVORBIS)
-  pkg_check_modules (VORBIS vorbis)
+  pkg_check_modules (VORBIS IMPORTED_TARGET vorbis)
   if (VORBIS_FOUND)
     include_directories (${VORBIS_INCLUDE_DIRS})
     link_directories (${VORBIS_LIBRARY_DIRS})
@@ -340,7 +343,7 @@
 endif ()
 
 if (CONFIG_LIBVORBIS)
-  pkg_check_modules (VORBISENC vorbisenc)
+  pkg_check_modules (VORBISENC IMPORTED_TARGET vorbisenc)
   if (VORBISENC_FOUND)
     include_directories (${VORBISENC_INCLUDE_DIRS})
     link_directories (${VORBISENC_LIBRARY_DIRS})
@@ -350,17 +353,8 @@
 endif ()
 
 if (CONFIG_LIBVORBIS)
-  pkg_check_modules (VORBISFILE vorbisfile)
+  pkg_check_modules (VORBISFILE IMPORTED_TARGET vorbisfile)
   if (VORBISFILE_FOUND)
     include_directories (${VORBISFILE_INCLUDE_DIRS})
     link_directories (${VORBISFILE_LIBRARY_DIRS})
     link_libraries (${VORBISFILE_LIBRARIES})
-  # set (CMAKE_REQUIRED_LIBRARIES "${VORBISFILE_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
-  endif ()
-endif ()
-
-if (CONFIG_LIBVORBIS)
-  pkg_check_modules (OGG ogg)
-  if (OGG_FOUND)
-    include_directories (${OGG_INCLUDE_DIRS})
-    link_directories (${OGG_LIBRARY_DIRS})
