=== debian/changelog ===
qtractor (0.9.20-1) unstable; urgency=medium

  * New upstream version 0.9.20
    + Fix FTCBFS (Closes: #982462)
  * d/copyright: Update year and add myself
  * Build with gtk2 support again, gtk3 still not supported

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 13 Feb 2021 15:34:43 +0100
