=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtractor
 Section: sound
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
@@ -16,7 +15,7 @@
  ladspa-sdk,
  libaubio-dev,
  libasound2-dev,
- libgtk-3-dev,
+ libgtk2.0-dev,
  libjack-dev,
  liblilv-dev,
  liblo-dev,
