=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,5 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-debug
