## qtractor 0.9.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.10)
 
 project(qtractor
-  VERSION 0.9.20
+  VERSION 0.9.21
   DESCRIPTION "An Audio/MIDI multi-track sequencer"
   LANGUAGES C CXX)
